### Type parameters

- #### A

- #### B

- #### C

- #### D

- #### E

- #### F

- #### G

### Hierarchy

- TransactGetRequestBase
  - TransactGetRequest7

## Index

### Properties

- params

### Methods

- exec
- execFullResponse
- execNoMap
- forModel

## Properties

### params

params: TransactGetItemsInput

Inherited from TransactGetRequestBase.params

- Defined in dynamo/transactget/transact-get.request.type.ts:9

## Methods

### exec

- exec(): Promise<[A, B, C, D, E, F, G]>

- - Defined in dynamo/transactget/transact-get.request.type.ts:66

  #### Returns Promise<[A, B, C, D, E, F, G]>

### execFullResponse

- execFullResponse(): Promise<TransactGetFullResponse<[A, B, C, D, E, F, G]>>

- - Defined in dynamo/transactget/transact-get.request.type.ts:64

  #### Returns Promise<TransactGetFullResponse<[A, B, C, D, E, F, G]>>

### execNoMap

- execNoMap(): Promise<TransactGetItemsOutput>

- Inherited from TransactGetRequestBase.execNoMap

  - Defined in dynamo/transactget/transact-get.request.type.ts:10

  #### Returns Promise<TransactGetItemsOutput>

### forModel

- forModel<H>(modelClazz: ModelConstructor<H>, key: Partial<H>): TransactGetRequest8<A, B, C, D, E, F, G, H>

- - Defined in dynamo/transactget/transact-get.request.type.ts:62

  #### Type parameters

  - #### H

  #### Parameters

  - ##### modelClazz: ModelConstructor<H>

  - ##### key: Partial<H>

  #### Returns TransactGetRequest8<A, B, C, D, E, F, G, H>